/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IPartitionConfig, IPartitionLambdaFactory, IQueuedMessage, LambdaCloseType } from "@fluidframework/server-services-core";
import { DocumentContext } from "./documentContext";
export declare class DocumentPartition {
    private readonly tenantId;
    private readonly documentId;
    readonly context: DocumentContext;
    private readonly activityTimeout;
    private readonly q;
    private readonly lambdaP;
    private lambda;
    private corrupt;
    private closed;
    private activityTimeoutTime;
    constructor(factory: IPartitionLambdaFactory, config: IPartitionConfig, tenantId: string, documentId: string, context: DocumentContext, activityTimeout: number);
    process(message: IQueuedMessage): void;
    close(closeType: LambdaCloseType): void;
    isInactive(now?: number): boolean | 0 | undefined;
    /**
     * Marks this document partition as corrupt
     * Future messages will be checkpointed but no real processing will happen
     */
    private markAsCorrupt;
    private updateActivityTime;
}
//# sourceMappingURL=documentPartition.d.ts.map