/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
/// <reference types="node" />
import { EventEmitter } from "events";
import { IContext, IDocumentLambdaServerConfiguration, IPartitionConfig, IPartitionLambda, IPartitionLambdaFactory } from "@fluidframework/server-services-core";
export declare class DocumentLambdaFactory extends EventEmitter implements IPartitionLambdaFactory<IPartitionConfig> {
    private readonly documentLambdaFactory;
    private readonly documentLambdaServerConfiguration;
    constructor(documentLambdaFactory: IPartitionLambdaFactory, documentLambdaServerConfiguration: IDocumentLambdaServerConfiguration);
    create(config: IPartitionConfig, context: IContext): Promise<IPartitionLambda>;
    dispose(): Promise<void>;
}
//# sourceMappingURL=lambdaFactory.d.ts.map