"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocumentLambdaFactory = void 0;
const events_1 = require("events");
const documentLambda_1 = require("./documentLambda");
class DocumentLambdaFactory extends events_1.EventEmitter {
    constructor(documentLambdaFactory, documentLambdaServerConfiguration) {
        super();
        this.documentLambdaFactory = documentLambdaFactory;
        this.documentLambdaServerConfiguration = documentLambdaServerConfiguration;
        // Forward on any factory errors
        this.documentLambdaFactory.on("error", (error) => {
            this.emit("error", error);
        });
    }
    async create(config, context) {
        return new documentLambda_1.DocumentLambda(this.documentLambdaFactory, config, context, this.documentLambdaServerConfiguration);
    }
    async dispose() {
        await this.documentLambdaFactory.dispose();
    }
}
exports.DocumentLambdaFactory = DocumentLambdaFactory;
//# sourceMappingURL=lambdaFactory.js.map