/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IConsumer, IQueuedMessage } from "@fluidframework/server-services-core";
export declare class CheckpointManager {
    private readonly id;
    private readonly consumer;
    private checkpointing;
    private closed;
    private commitedCheckpoint;
    private lastCheckpoint;
    private pendingCheckpoint;
    private error;
    constructor(id: number, consumer: IConsumer);
    /**
     * Requests a checkpoint at the given offset
     */
    checkpoint(queuedMessage: IQueuedMessage): Promise<void>;
    /**
     * Checkpoints at the last received offset.
     */
    flush(): Promise<void>;
    /**
     * Closes the checkpoint manager - this will stop it from performing any future checkpoints
     */
    close(): void;
}
//# sourceMappingURL=checkpointManager.d.ts.map