/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IConsumer, ILogger, IPartitionLambdaFactory, IRunner } from "@fluidframework/server-services-core";
export declare class KafkaRunner implements IRunner {
    private readonly factory;
    private readonly consumer;
    private deferred;
    private partitionManager;
    private stopped;
    private readonly runnerMetric;
    constructor(factory: IPartitionLambdaFactory, consumer: IConsumer);
    start(logger: ILogger | undefined): Promise<void>;
    /**
     * Signals to stop the service
     */
    stop(): Promise<void>;
}
//# sourceMappingURL=runner.d.ts.map